# Site | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class Site

- Defined in: Site.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Site() A Site object is the basic container of Antville.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| $tags
| archive
| archiveMode The way the archive of a site is displayed
| commentMode The way comments of a site are displayed
| created The date and time of site creation
| creator A reference to a user who created a site
| deleted
| export_id
| files
| galleries
| images
| import_id
| job
| layout
| locale The place and language settings of a site
| members
| metadata
| mode The access level of a site
| modified The date and time when a site was last modified
| modifier A reference to a user who modified a site
| notificationMode The way notifications are sent from a site
| notified The date and time of the last notification sent to the owners of a site
| pageMode The way stories of a site are displayed
| pageSize The amount of stories to be displayed simultaneously
| polls
| status The trust level of a site
| stories
| tagline An arbitrary text describing a site
| tags
| timeZone The time and date settings of a site

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Site.add(name, title, user)
| age_macro(param)
| calendar_macro(param)
| callback(ref)
| deleted_macro()
| diskspace_macro()
| getAdminHeader(name)
<static> | Site.getArchiveModes()
<static> | Site.getByName(name)
<static> | Site.getCallbackModes()
<static> | Site.getCommentModes()
| getDiskSpace(quota)
| getFormOptions(name)
| getLocale()
| getMacroHandler(name)
<static> | Site.getModes()
<static> | Site.getNotificationModes()
<static> | Site.getPageModes()
| getPermission(action)
| getQuota()
| getStaticFile(tail)
| getStaticUrl(tail)
<static> | Site.getStatus()
| getTags(type, group)
| getTimeZone()
| getXml(collection)
| processHref(href)
| referrers_macro()
<static> | Site.remove(site)
<static> | Site.require(mode)
| spamfilter_macro()
| stories_macro()
| update(data)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormValue
  getMetadata
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onCodeUpdate
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Site()
A Site object is the basic container of Antville.

## Field Detail

{Tag[]} $tags
{Archive} archive
{String} archiveMode
The way the archive of a site is displayed
{String} commentMode
The way comments of a site are displayed
{Date} created
The date and time of site creation
{User} creator
A reference to a user who created a site
{Date} deleted
{String} export_id
{Files} files
{Tags} galleries
{Images} images
{String} import_id
{String} job
{Layout} layout
{String} locale
The place and language settings of a site
{Members} members
{Metadata} metadata
{String} mode
The access level of a site
{Date} modified
The date and time when a site was last modified
{User} modifier
A reference to a user who modified a site
{String} notificationMode
The way notifications are sent from a site
{Date} notified
The date and time of the last notification sent to the owners of a site
{String} pageMode
The way stories of a site are displayed
{Number} pageSize
The amount of stories to be displayed simultaneously
{Polls} polls
{String} status
The trust level of a site
{Stories} stories
{String} tagline
An arbitrary text describing a site
{Tags} tags
{String} timeZone
The time and date settings of a site

## Method Detail

- <static> Site.add(name, title, user)
  Parameters:
  {String} name
    A unique identifier also used in the URL of a site
  {String} title
    An arbitrary string branding a site
  {User} user
- age_macro(param)
  Parameters:
  {Object} param
- calendar_macro(param)
  Parameters:
  {Object} param
- callback(ref)
  Parameters:
  {Object} ref
- deleted_macro()
- diskspace_macro()
- {String[]} getAdminHeader(name)
  Parameters:
  {String} name
  Returns:
    {String[]}
- <static> {String[]} Site.getArchiveModes()
  Returns:
    {String[]}
  See:
    defineConstants
- <static> {Site} Site.getByName(name)
  Parameters:
  {String} name
  Returns:
    {Site}
- <static> {String[]} Site.getCallbackModes()
  Returns:
    {String[]}
  See:
    defineConstants
- <static> {String[]} Site.getCommentModes()
  Returns:
    {String[]}
  See:
    defineConstants
- {float} getDiskSpace(quota)
  Parameters:
  {Number} quota
  Returns:
    {float}
- {Object} getFormOptions(name)
  Parameters:
  {String} name
  Returns:
    {Object}
- {java.util.Locale} getLocale()
  Returns:
    {java.util.Locale}
- {HopObject} getMacroHandler(name)
  Parameters:
  {String} name
  Returns:
    {HopObject}
- <static> {String[]} Site.getModes()
  Returns:
    {String[]}
  See:
    defineConstants
- <static> {String[]} Site.getNotificationModes()
  Returns:
    {String[]}
  See:
    defineConstants
- <static> {String[]} Site.getPageModes()
  Returns:
    {String[]}
  See:
    defineConstants
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- {Number} getQuota()
  Returns:
    {Number}
- {helma.File} getStaticFile(tail)
  Parameters:
  {String} tail
  Returns:
    {helma.File}
- {String} getStaticUrl(tail)
  Parameters:
  {String} tail
  Returns:
    {String}
- <static> {String[]} Site.getStatus()
  Returns:
    {String[]}
  See:
    defineConstants
- {Tag[]} getTags(type, group)
  Parameters:
  {String} type
  {String} group
  Returns:
    {Tag[]}
- {java.util.TimeZone} getTimeZone()
  Returns:
    {java.util.TimeZone}
- getXml(collection)
  Parameters:
  {Story[]} collection
- processHref(href)
  Parameters:
  {String} href
- referrers_macro()
- <static> Site.remove(site)
  Parameters:
  {Site} site
- <static> {Boolean} Site.require(mode)
  Parameters:
  {String} mode
  Returns:
    {Boolean}
- spamfilter_macro()
- stories_macro()
- update(data)
  Parameters:
  {Object} data